#!/bin/bash

tag=4.13.3

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone https://github.com/strongloop/express.git
cd express
git archive --prefix="test/" --format=tar tags/${tag}:test/ \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
git archive --prefix="examples/" --format=tar tags/${tag}:examples/ \
    | bzip2 > "$pwd"/examples-${tag}.tar.bz2
popd
